Summary: Accessing various Google services via their public API
Name: libkgapi
Version: 2.0.1
Release: %mkrel 3
Source0: http://fr2.rpmfind.net/linux/KDE/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Graphical desktop/KDE
URL: http://progdan.cz/category/akonadi-google/
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: qjson-devel
BuildRequires: qt4-devel >= 4:4.7.0

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs for
various Google services.

Currently supported APIs:
  - Calendar API v3 (https://developers.google.com/google-apps/calendar)
  - Contacts API v3 (https://developers.google.com/google-apps/contacts/v3/)
  - Tasks API v1 (https://developers.google.com/google-apps/tasks)

#--------------------------------------------------------------------

%define libkgapi_major 1
%define libkgapi %mklibname kgapi %{libkgapi_major}

%package -n %libkgapi
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libkgapi
Runtime Library for %name

%files -n %libkgapi
%{_kde_libdir}/libkgapi.so.%{libkgapi_major}
%{_kde_libdir}/libkgapi.so.%{version}

#--------------------------------------------------------------------

%define libkgapi2_major 2
%define libkgapi2 %mklibname kgapi2_ %{libkgapi2_major}

%package -n %libkgapi2
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %libkgapi2
Runtime Library for %name

%files -n %libkgapi2
%{_kde_libdir}/libkgapi2.so.%{libkgapi2_major}
%{_kde_libdir}/libkgapi2.so.%{version}

#----------------------------------------------------------------------

%define libkgapi_devel %mklibname -d kgapi

%package -n %libkgapi_devel
Summary: Devel files for libkgapi
Group: Development/C++
Obsoletes: %{_lib}kgoogle-devel < %{version}
Provides: %name-devel = %version-%release
Requires: %libkgapi = %version
Requires: %libkgapi2 = %version

%description -n %libkgapi_devel
Devel files for libkgapi

%files -n %libkgapi_devel
%_kde_libdir/libkgapi.so
%_kde_libdir/libkgapi2.so
%_kde_includedir/*
%_kde_libdir/pkgconfig/*.pc
%_kde_libdir/cmake/*

#---------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake
%make

%install
%makeinstall_std -C build


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 529340
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - boost is not required

* Tue Jul 09 2013 fwang <fwang> 2.0.1-2.mga4
+ Revision: 451668
- rebuild for new boost

* Thu Jun 06 2013 fwang <fwang> 2.0.1-1.mga4
+ Revision: 438254
- update file list
- new version 2.0.1

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 357602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 fwang <fwang> 0.4.4-1.mga3
+ Revision: 332516
- new version 0.4.4

* Mon Oct 22 2012 fwang <fwang> 0.4.3-1.mga3
+ Revision: 309090
- new version 0.4.3

* Mon Aug 27 2012 fwang <fwang> 0.4.2-1.mga3
+ Revision: 284570
- new version 0.4.2

* Sun Jul 15 2012 fwang <fwang> 0.4.1-2.mga3
+ Revision: 270934
- obsoletes old libkgoogle

* Tue Jun 12 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 259942
- new version 0.4.1

* Sun Jun 10 2012 fwang <fwang> 0.4.0-1.mga3
+ Revision: 259316
- imported package libkgapi

